[arch-commits] Commit in gcc/repos (18 files)

Allan McRae allan at archlinux.org
Mon Nov 3 02:22:38 UTC 2014


    Date: Monday, November 3, 2014 @ 03:22:38
  Author: allan
Revision: 225558

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gcc/repos/staging-i686/
  gcc/repos/staging-i686/PKGBUILD
    (from rev 225557, gcc/trunk/PKGBUILD)
  gcc/repos/staging-i686/gcc-4.8-filename-output.patch
    (from rev 225557, gcc/trunk/gcc-4.8-filename-output.patch)
  gcc/repos/staging-i686/gcc-4.9-isl-0.13-hack.patch
    (from rev 225557, gcc/trunk/gcc-4.9-isl-0.13-hack.patch)
  gcc/repos/staging-i686/gcc-ada.install
    (from rev 225557, gcc/trunk/gcc-ada.install)
  gcc/repos/staging-i686/gcc-fortran.install
    (from rev 225557, gcc/trunk/gcc-fortran.install)
  gcc/repos/staging-i686/gcc-go.install
    (from rev 225557, gcc/trunk/gcc-go.install)
  gcc/repos/staging-i686/gcc-libs.install
    (from rev 225557, gcc/trunk/gcc-libs.install)
  gcc/repos/staging-i686/gcc.install
    (from rev 225557, gcc/trunk/gcc.install)
  gcc/repos/staging-x86_64/
  gcc/repos/staging-x86_64/PKGBUILD
    (from rev 225557, gcc/trunk/PKGBUILD)
  gcc/repos/staging-x86_64/gcc-4.8-filename-output.patch
    (from rev 225557, gcc/trunk/gcc-4.8-filename-output.patch)
  gcc/repos/staging-x86_64/gcc-4.9-isl-0.13-hack.patch
    (from rev 225557, gcc/trunk/gcc-4.9-isl-0.13-hack.patch)
  gcc/repos/staging-x86_64/gcc-ada.install
    (from rev 225557, gcc/trunk/gcc-ada.install)
  gcc/repos/staging-x86_64/gcc-fortran.install
    (from rev 225557, gcc/trunk/gcc-fortran.install)
  gcc/repos/staging-x86_64/gcc-go.install
    (from rev 225557, gcc/trunk/gcc-go.install)
  gcc/repos/staging-x86_64/gcc-libs.install
    (from rev 225557, gcc/trunk/gcc-libs.install)
  gcc/repos/staging-x86_64/gcc.install
    (from rev 225557, gcc/trunk/gcc.install)

----------------------------------------------+
 staging-i686/PKGBUILD                        |  317 +++++++++++++++++++++++++
 staging-i686/gcc-4.8-filename-output.patch   |   17 +
 staging-i686/gcc-4.9-isl-0.13-hack.patch     |   71 +++++
 staging-i686/gcc-ada.install                 |   20 +
 staging-i686/gcc-fortran.install             |   16 +
 staging-i686/gcc-go.install                  |   20 +
 staging-i686/gcc-libs.install                |   16 +
 staging-i686/gcc.install                     |   20 +
 staging-x86_64/PKGBUILD                      |  317 +++++++++++++++++++++++++
 staging-x86_64/gcc-4.8-filename-output.patch |   17 +
 staging-x86_64/gcc-4.9-isl-0.13-hack.patch   |   71 +++++
 staging-x86_64/gcc-ada.install               |   20 +
 staging-x86_64/gcc-fortran.install           |   16 +
 staging-x86_64/gcc-go.install                |   20 +
 staging-x86_64/gcc-libs.install              |   16 +
 staging-x86_64/gcc.install                   |   20 +
 16 files changed, 994 insertions(+)

Copied: gcc/repos/staging-i686/PKGBUILD (from rev 225557, gcc/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,317 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+# NOTE: libtool requires rebuilt with each new gcc version
+
+pkgname=('gcc' 'gcc-libs' 'gcc-fortran' 'gcc-objc' 'gcc-ada' 'gcc-go')
+pkgver=4.9.2
+_pkgver=4.9
+_islver=0.12.2
+_cloogver=0.18.1
+pkgrel=1
+#_snapshot=4.9-20140903
+pkgdesc="The GNU Compiler Collection"
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL' 'FDL' 'custom')
+url="http://gcc.gnu.org"
+makedepends=('binutils>=2.24' 'libmpc' 'gcc-ada' 'doxygen')
+checkdepends=('dejagnu' 'inetutils')
+options=('!emptydirs')
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-${pkgver}.tar.bz2
+        #ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-${_snapshot}.tar.bz2
+        http://isl.gforge.inria.fr/isl-${_islver}.tar.bz2
+        http://www.bastoul.net/cloog/pages/download/cloog-${_cloogver}.tar.gz
+        gcc-4.8-filename-output.patch)
+md5sums=('4df8ee253b7f3863ad0b86359cd39c43'
+         'e039bfcfb6c2ab039b8ee69bf883e824'
+         'e34fca0540d840e5d0f6427e98c92252'
+         '6810bb9b2252f03e6c98d9a671d94589')
+
+if [ -n "${_snapshot}" ]; then
+  _basedir=gcc-${_snapshot}
+else
+  _basedir=gcc-${pkgver}
+fi
+
+_libdir="usr/lib/gcc/$CHOST/$pkgver"
+
+prepare() {
+  cd ${srcdir}/${_basedir}
+
+  # link isl/cloog for in-tree builds
+  ln -s ../isl-${_islver} isl
+  ln -s ../cloog-${_cloogver} cloog
+
+  # Do not run fixincludes
+  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+
+  # Arch Linux installs x86_64 libraries /lib
+  [[ $CARCH == "x86_64" ]] && sed -i '/m64=/s/lib64/lib/' gcc/config/i386/t-linux64
+
+  echo ${pkgver} > gcc/BASE-VER
+
+  # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" {libiberty,gcc}/configure
+
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=57653
+  # https://gcc.gnu.org/git/?p=gcc.git;a=patch;h=9140d56f
+  patch -p1 -i ${srcdir}/gcc-4.8-filename-output.patch
+
+  mkdir ${srcdir}/gcc-build
+}
+
+build() {
+  cd ${srcdir}/gcc-build
+
+  # using -pipe causes spurious test-suite failures
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48565
+  CFLAGS=${CFLAGS/-pipe/}
+  CXXFLAGS=${CXXFLAGS/-pipe/}
+
+  ${srcdir}/${_basedir}/configure --prefix=/usr \
+      --libdir=/usr/lib --libexecdir=/usr/lib \
+      --mandir=/usr/share/man --infodir=/usr/share/info \
+      --with-bugurl=https://bugs.archlinux.org/ \
+      --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ \
+      --enable-shared --enable-threads=posix \
+      --with-system-zlib --enable-__cxa_atexit \
+      --disable-libunwind-exceptions --enable-clocale=gnu \
+      --disable-libstdcxx-pch --disable-libssp \
+      --enable-gnu-unique-object --enable-linker-build-id \
+      --enable-cloog-backend=isl \
+      --enable-lto --enable-plugin --enable-install-libiberty \
+      --with-linker-hash-style=gnu \
+      --disable-multilib --disable-werror \
+      --enable-checking=release
+  make
+  
+  # make documentation
+  make -C $CHOST/libstdc++-v3/doc doc-man-doxygen
+}
+
+check() {
+  cd ${srcdir}/gcc-build
+
+  # increase stack size to prevent test failures
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31827
+  ulimit -s 32768
+
+  # do not abort on error as some are "expected"
+  make -k check || true
+  ${srcdir}/${_basedir}/contrib/test_summary
+}
+
+package_gcc-libs()
+{
+  pkgdesc="Runtime libraries shipped by GCC"
+  groups=('base')
+  depends=('glibc>=2.20')
+  options=('!emptydirs' '!strip')
+  install=gcc-libs.install
+
+  cd ${srcdir}/gcc-build
+  
+  make -C $CHOST/libgcc DESTDIR=${pkgdir} install-shared
+  rm ${pkgdir}/${_libdir}/libgcc_eh.a
+  
+  for lib in libatomic \
+             libcilkrts \
+             libgfortran \
+             libgomp \
+             libitm \
+             libquadmath \
+             libsanitizer/{a,l,ub}san \
+             libstdc++-v3/src \
+             libvtv; do
+    make -C $CHOST/$lib DESTDIR=${pkgdir} install-toolexeclibLTLIBRARIES
+  done
+
+  [[ $CARCH == "x86_64" ]] && \
+    make -C $CHOST/libsanitizer/tsan DESTDIR=${pkgdir} install-toolexeclibLTLIBRARIES
+
+  make -C $CHOST/libobjc DESTDIR=${pkgdir} install-libs
+  
+  make -C $CHOST/libstdc++-v3/po DESTDIR=${pkgdir} install
+
+  for lib in libgomp \
+             libitm \
+             libquadmath; do
+    make -C $CHOST/$lib DESTDIR=${pkgdir} install-info
+  done
+
+  # Install Runtime Library Exception
+  install -Dm644 ${srcdir}/${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc-libs/RUNTIME.LIBRARY.EXCEPTION
+}
+
+package_gcc()
+{
+  pkgdesc="The GNU Compiler Collection - C and C++ frontends"
+  depends=("gcc-libs=$pkgver-$pkgrel" 'binutils>=2.24' 'libmpc')
+  groups=('base-devel')
+  options=('staticlibs')
+  install=gcc.install
+
+  cd ${srcdir}/gcc-build
+
+  make -C gcc DESTDIR=${pkgdir} install-driver install-cpp install-gcc-ar \
+    c++.install-common install-headers install-plugin install-lto-wrapper
+
+  install -m755 gcc/gcov $pkgdir/usr/bin/
+  install -m755 -t $pkgdir/${_libdir}/ gcc/{cc1,cc1plus,collect2,lto1}
+
+  make -C $CHOST/libgcc DESTDIR=${pkgdir} install
+  rm ${pkgdir}/usr/lib/libgcc_s.so*
+  
+  make -C $CHOST/libstdc++-v3/src DESTDIR=${pkgdir} install
+  make -C $CHOST/libstdc++-v3/include DESTDIR=${pkgdir} install
+  make -C $CHOST/libstdc++-v3/libsupc++ DESTDIR=${pkgdir} install
+  make -C $CHOST/libstdc++-v3/python DESTDIR=${pkgdir} install
+
+  install -d $pkgdir/usr/share/gdb/auto-load/usr/lib
+  mv $pkgdir/usr/lib/libstdc++.so.6.*-gdb.py \
+    $pkgdir/usr/share/gdb/auto-load/usr/lib/
+  rm ${pkgdir}/usr/lib/libstdc++.so*
+
+  make DESTDIR=${pkgdir} install-fixincludes
+  make -C gcc DESTDIR=${pkgdir} install-mkheaders
+  make -C lto-plugin DESTDIR=${pkgdir} install
+
+  make -C $CHOST/libcilkrts DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS \
+    install-nodist_cilkincludeHEADERS
+  make -C $CHOST/libgomp DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS \
+    install-nodist_libsubincludeHEADERS
+  make -C $CHOST/libitm DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libquadmath DESTDIR=${pkgdir} install-nodist_libsubincludeHEADERS
+  make -C $CHOST/libsanitizer DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libsanitizer/asan DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS
+
+  make -C libiberty DESTDIR=${pkgdir} install
+  # install PIC version of libiberty
+  install -m644 ${srcdir}/gcc-build/libiberty/pic/libiberty.a ${pkgdir}/usr/lib
+
+  make -C gcc DESTDIR=${pkgdir} install-man install-info
+  rm ${pkgdir}/usr/share/man/man1/{gccgo,gfortran}.1
+  rm ${pkgdir}/usr/share/info/{gccgo,gfortran,gnat-style,gnat_rm,gnat_ugn}.info
+
+  make -C libcpp DESTDIR=${pkgdir} install
+  make -C gcc DESTDIR=${pkgdir} install-po
+
+  # many packages expect this symlink
+  ln -s gcc ${pkgdir}/usr/bin/cc
+
+  # POSIX conformance launcher scripts for c89 and c99
+  cat > $pkgdir/usr/bin/c89 <<"EOF"
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+  case "$opt" in
+    -ansi|-std=c89|-std=iso9899:1990) fl="";;
+    -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+
+  cat > $pkgdir/usr/bin/c99 <<"EOF"
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+  case "$opt" in
+    -std=c99|-std=iso9899:1999) fl="";;
+    -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+
+  chmod 755 $pkgdir/usr/bin/c{8,9}9
+
+  # install the libstdc++ man pages
+  make -C $CHOST/libstdc++-v3/doc DESTDIR=$pkgdir doc-install-man
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc/
+}
+
+package_gcc-fortran()
+{
+  pkgdesc="Fortran front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+  options=('staticlibs' '!emptydirs')
+  install=gcc-fortran.install
+
+  cd ${srcdir}/gcc-build
+  make -C $CHOST/libgfortran DESTDIR=$pkgdir install-{{caf,my}execlibLTLIBRARIES,toolexeclibDATA}
+  make -C $CHOST/libgomp DESTDIR=$pkgdir install-nodist_fincludeHEADERS
+  make -C gcc DESTDIR=$pkgdir fortran.install-{common,man,info}
+  install -Dm755 gcc/f951 $pkgdir/${_libdir}/f951
+
+  ln -s gfortran ${pkgdir}/usr/bin/f95
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-fortran/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-fortran/
+}
+
+package_gcc-objc()
+{
+  pkgdesc="Objective-C front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+
+  cd ${srcdir}/gcc-build
+  make DESTDIR=$pkgdir -C $CHOST/libobjc install-headers
+  install -dm755 $pkgdir/${_libdir}
+  install -m755 gcc/cc1obj{,plus} $pkgdir/${_libdir}/
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-objc/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-objc/
+}
+
+package_gcc-ada()
+{
+  pkgdesc="Ada front-end for GCC (GNAT)"
+  depends=("gcc=$pkgver-$pkgrel")
+  options=('staticlibs' '!emptydirs')
+  install=gcc-ada.install
+
+  cd ${srcdir}/gcc-build/gcc
+  make DESTDIR=$pkgdir ada.install-{common,info}
+  install -m755 gnat1 $pkgdir/${_libdir}
+
+  ln -s gcc ${pkgdir}/usr/bin/gnatgcc
+
+  # insist on dynamic linking, but keep static libraries because gnatmake complains
+  mv ${pkgdir}/${_libdir}/adalib/libgna{rl,t}-${_pkgver}.so ${pkgdir}/usr/lib
+  ln -s libgnarl-${_pkgver}.so ${pkgdir}/usr/lib/libgnarl.so
+  ln -s libgnat-${_pkgver}.so ${pkgdir}/usr/lib/libgnat.so
+  rm ${pkgdir}/${_libdir}/adalib/libgna{rl,t}.so
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-ada/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-ada/
+}
+
+package_gcc-go()
+{
+  pkgdesc="Go front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+  options=('staticlibs' '!emptydirs')
+  install=gcc-go.install
+
+  cd ${srcdir}/gcc-build
+  make -C $CHOST/libgo DESTDIR=$pkgdir install-exec-am
+  make -C gcc DESTDIR=$pkgdir go.install-{common,man,info}
+  install -Dm755 gcc/go1 $pkgdir/${_libdir}/go1
+
+  rm $pkgdir/usr/lib/libgo.a
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-go/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-go/
+}

Copied: gcc/repos/staging-i686/gcc-4.8-filename-output.patch (from rev 225557, gcc/trunk/gcc-4.8-filename-output.patch)
===================================================================
--- staging-i686/gcc-4.8-filename-output.patch	                        (rev 0)
+++ staging-i686/gcc-4.8-filename-output.patch	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,17 @@
+diff --git a/gcc/c-family/c-opts.c b/gcc/c-family/c-opts.c
+index 968b703..3f8e6e6 100644
+--- a/gcc/c-family/c-opts.c
++++ b/gcc/c-family/c-opts.c
+@@ -1438,6 +1438,12 @@ c_finish_options (void)
+ static void
+ push_command_line_include (void)
+ {
++  /* This can happen if disabled by -imacros for example.
++     Punt so that we don't set "<command-line>" as the filename for
++     the header.  */
++  if (include_cursor > deferred_count)
++    return;
++
+   if (!done_preinclude)
+     {
+       done_preinclude = true;

Copied: gcc/repos/staging-i686/gcc-4.9-isl-0.13-hack.patch (from rev 225557, gcc/trunk/gcc-4.9-isl-0.13-hack.patch)
===================================================================
--- staging-i686/gcc-4.9-isl-0.13-hack.patch	                        (rev 0)
+++ staging-i686/gcc-4.9-isl-0.13-hack.patch	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,71 @@
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-clast-to-gimple.c gcc-4.9-20140604/gcc/graphite-clast-to-gimple.c
+--- gcc-4.9-20140604-old/gcc/graphite-clast-to-gimple.c	2014-03-03 21:39:22.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-clast-to-gimple.c	2014-06-25 15:07:57.958697105 +1000
+@@ -28,6 +28,8 @@
+ #include <isl/constraint.h>
+ #include <isl/ilp.h>
+ #include <isl/aff.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/ilp_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>
+ #endif
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-interchange.c gcc-4.9-20140604/gcc/graphite-interchange.c
+--- gcc-4.9-20140604-old/gcc/graphite-interchange.c	2014-01-03 08:23:26.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-interchange.c	2014-06-25 15:10:06.882899243 +1000
+@@ -29,6 +29,9 @@
+ #include <isl/map.h>
+ #include <isl/union_map.h>
+ #include <isl/ilp.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/ilp_int.h>
++#include <isl/deprecated/constraint_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>
+ #endif
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-optimize-isl.c gcc-4.9-20140604/gcc/graphite-optimize-isl.c
+--- gcc-4.9-20140604-old/gcc/graphite-optimize-isl.c	2014-01-03 08:23:26.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-optimize-isl.c	2014-06-25 15:16:57.038386166 +1000
+@@ -28,6 +28,8 @@
+ #include <isl/band.h>
+ #include <isl/aff.h>
+ #include <isl/options.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/aff_int.h>
+ #endif
+ 
+ #include "system.h"
+@@ -373,7 +375,7 @@
+ 	{
+ 	  for (i = ScheduleDimensions - 1 ;  i >= 0 ; i--)
+ 	    {
+-	      if (isl_band_member_is_zero_distance (Band, i))
++	      if (isl_band_member_is_coincident (Band, i))
+ 		{
+ 		  isl_map *TileMap;
+ 		  isl_union_map *TileUMap;
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-poly.c gcc-4.9-20140604/gcc/graphite-poly.c
+--- gcc-4.9-20140604-old/gcc/graphite-poly.c	2014-01-03 08:23:26.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-poly.c	2014-06-25 15:18:01.207157796 +1000
+@@ -28,6 +28,8 @@
+ #include <isl/constraint.h>
+ #include <isl/ilp.h>
+ #include <isl/aff.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/ilp_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>
+ #endif
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-sese-to-poly.c gcc-4.9-20140604/gcc/graphite-sese-to-poly.c
+--- gcc-4.9-20140604-old/gcc/graphite-sese-to-poly.c	2014-04-08 20:59:40.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-sese-to-poly.c	2014-06-25 15:19:46.575140398 +1000
+@@ -26,6 +26,9 @@
+ #include <isl/union_map.h>
+ #include <isl/constraint.h>
+ #include <isl/aff.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/aff_int.h>
++#include <isl/deprecated/constraint_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>

Copied: gcc/repos/staging-i686/gcc-ada.install (from rev 225557, gcc/trunk/gcc-ada.install)
===================================================================
--- staging-i686/gcc-ada.install	                        (rev 0)
+++ staging-i686/gcc-ada.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gnat-style.info gnat_rm.info gnat_ugn.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gcc/repos/staging-i686/gcc-fortran.install (from rev 225557, gcc/trunk/gcc-fortran.install)
===================================================================
--- staging-i686/gcc-fortran.install	                        (rev 0)
+++ staging-i686/gcc-fortran.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+file="gfortran.info"
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}

Copied: gcc/repos/staging-i686/gcc-go.install (from rev 225557, gcc/trunk/gcc-go.install)
===================================================================
--- staging-i686/gcc-go.install	                        (rev 0)
+++ staging-i686/gcc-go.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gccgo.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gcc/repos/staging-i686/gcc-libs.install (from rev 225557, gcc/trunk/gcc-libs.install)
===================================================================
--- staging-i686/gcc-libs.install	                        (rev 0)
+++ staging-i686/gcc-libs.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+filelist=(libgomp.info libquadmath.info)
+
+post_upgrade() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gcc/repos/staging-i686/gcc.install (from rev 225557, gcc/trunk/gcc.install)
===================================================================
--- staging-i686/gcc.install	                        (rev 0)
+++ staging-i686/gcc.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(cpp.info cppinternals.info gcc.info gccinstall.info gccint.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gcc/repos/staging-x86_64/PKGBUILD (from rev 225557, gcc/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,317 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+# NOTE: libtool requires rebuilt with each new gcc version
+
+pkgname=('gcc' 'gcc-libs' 'gcc-fortran' 'gcc-objc' 'gcc-ada' 'gcc-go')
+pkgver=4.9.2
+_pkgver=4.9
+_islver=0.12.2
+_cloogver=0.18.1
+pkgrel=1
+#_snapshot=4.9-20140903
+pkgdesc="The GNU Compiler Collection"
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL' 'FDL' 'custom')
+url="http://gcc.gnu.org"
+makedepends=('binutils>=2.24' 'libmpc' 'gcc-ada' 'doxygen')
+checkdepends=('dejagnu' 'inetutils')
+options=('!emptydirs')
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-${pkgver}.tar.bz2
+        #ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-${_snapshot}.tar.bz2
+        http://isl.gforge.inria.fr/isl-${_islver}.tar.bz2
+        http://www.bastoul.net/cloog/pages/download/cloog-${_cloogver}.tar.gz
+        gcc-4.8-filename-output.patch)
+md5sums=('4df8ee253b7f3863ad0b86359cd39c43'
+         'e039bfcfb6c2ab039b8ee69bf883e824'
+         'e34fca0540d840e5d0f6427e98c92252'
+         '6810bb9b2252f03e6c98d9a671d94589')
+
+if [ -n "${_snapshot}" ]; then
+  _basedir=gcc-${_snapshot}
+else
+  _basedir=gcc-${pkgver}
+fi
+
+_libdir="usr/lib/gcc/$CHOST/$pkgver"
+
+prepare() {
+  cd ${srcdir}/${_basedir}
+
+  # link isl/cloog for in-tree builds
+  ln -s ../isl-${_islver} isl
+  ln -s ../cloog-${_cloogver} cloog
+
+  # Do not run fixincludes
+  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+
+  # Arch Linux installs x86_64 libraries /lib
+  [[ $CARCH == "x86_64" ]] && sed -i '/m64=/s/lib64/lib/' gcc/config/i386/t-linux64
+
+  echo ${pkgver} > gcc/BASE-VER
+
+  # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" {libiberty,gcc}/configure
+
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=57653
+  # https://gcc.gnu.org/git/?p=gcc.git;a=patch;h=9140d56f
+  patch -p1 -i ${srcdir}/gcc-4.8-filename-output.patch
+
+  mkdir ${srcdir}/gcc-build
+}
+
+build() {
+  cd ${srcdir}/gcc-build
+
+  # using -pipe causes spurious test-suite failures
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48565
+  CFLAGS=${CFLAGS/-pipe/}
+  CXXFLAGS=${CXXFLAGS/-pipe/}
+
+  ${srcdir}/${_basedir}/configure --prefix=/usr \
+      --libdir=/usr/lib --libexecdir=/usr/lib \
+      --mandir=/usr/share/man --infodir=/usr/share/info \
+      --with-bugurl=https://bugs.archlinux.org/ \
+      --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ \
+      --enable-shared --enable-threads=posix \
+      --with-system-zlib --enable-__cxa_atexit \
+      --disable-libunwind-exceptions --enable-clocale=gnu \
+      --disable-libstdcxx-pch --disable-libssp \
+      --enable-gnu-unique-object --enable-linker-build-id \
+      --enable-cloog-backend=isl \
+      --enable-lto --enable-plugin --enable-install-libiberty \
+      --with-linker-hash-style=gnu \
+      --disable-multilib --disable-werror \
+      --enable-checking=release
+  make
+  
+  # make documentation
+  make -C $CHOST/libstdc++-v3/doc doc-man-doxygen
+}
+
+check() {
+  cd ${srcdir}/gcc-build
+
+  # increase stack size to prevent test failures
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31827
+  ulimit -s 32768
+
+  # do not abort on error as some are "expected"
+  make -k check || true
+  ${srcdir}/${_basedir}/contrib/test_summary
+}
+
+package_gcc-libs()
+{
+  pkgdesc="Runtime libraries shipped by GCC"
+  groups=('base')
+  depends=('glibc>=2.20')
+  options=('!emptydirs' '!strip')
+  install=gcc-libs.install
+
+  cd ${srcdir}/gcc-build
+  
+  make -C $CHOST/libgcc DESTDIR=${pkgdir} install-shared
+  rm ${pkgdir}/${_libdir}/libgcc_eh.a
+  
+  for lib in libatomic \
+             libcilkrts \
+             libgfortran \
+             libgomp \
+             libitm \
+             libquadmath \
+             libsanitizer/{a,l,ub}san \
+             libstdc++-v3/src \
+             libvtv; do
+    make -C $CHOST/$lib DESTDIR=${pkgdir} install-toolexeclibLTLIBRARIES
+  done
+
+  [[ $CARCH == "x86_64" ]] && \
+    make -C $CHOST/libsanitizer/tsan DESTDIR=${pkgdir} install-toolexeclibLTLIBRARIES
+
+  make -C $CHOST/libobjc DESTDIR=${pkgdir} install-libs
+  
+  make -C $CHOST/libstdc++-v3/po DESTDIR=${pkgdir} install
+
+  for lib in libgomp \
+             libitm \
+             libquadmath; do
+    make -C $CHOST/$lib DESTDIR=${pkgdir} install-info
+  done
+
+  # Install Runtime Library Exception
+  install -Dm644 ${srcdir}/${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc-libs/RUNTIME.LIBRARY.EXCEPTION
+}
+
+package_gcc()
+{
+  pkgdesc="The GNU Compiler Collection - C and C++ frontends"
+  depends=("gcc-libs=$pkgver-$pkgrel" 'binutils>=2.24' 'libmpc')
+  groups=('base-devel')
+  options=('staticlibs')
+  install=gcc.install
+
+  cd ${srcdir}/gcc-build
+
+  make -C gcc DESTDIR=${pkgdir} install-driver install-cpp install-gcc-ar \
+    c++.install-common install-headers install-plugin install-lto-wrapper
+
+  install -m755 gcc/gcov $pkgdir/usr/bin/
+  install -m755 -t $pkgdir/${_libdir}/ gcc/{cc1,cc1plus,collect2,lto1}
+
+  make -C $CHOST/libgcc DESTDIR=${pkgdir} install
+  rm ${pkgdir}/usr/lib/libgcc_s.so*
+  
+  make -C $CHOST/libstdc++-v3/src DESTDIR=${pkgdir} install
+  make -C $CHOST/libstdc++-v3/include DESTDIR=${pkgdir} install
+  make -C $CHOST/libstdc++-v3/libsupc++ DESTDIR=${pkgdir} install
+  make -C $CHOST/libstdc++-v3/python DESTDIR=${pkgdir} install
+
+  install -d $pkgdir/usr/share/gdb/auto-load/usr/lib
+  mv $pkgdir/usr/lib/libstdc++.so.6.*-gdb.py \
+    $pkgdir/usr/share/gdb/auto-load/usr/lib/
+  rm ${pkgdir}/usr/lib/libstdc++.so*
+
+  make DESTDIR=${pkgdir} install-fixincludes
+  make -C gcc DESTDIR=${pkgdir} install-mkheaders
+  make -C lto-plugin DESTDIR=${pkgdir} install
+
+  make -C $CHOST/libcilkrts DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS \
+    install-nodist_cilkincludeHEADERS
+  make -C $CHOST/libgomp DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS \
+    install-nodist_libsubincludeHEADERS
+  make -C $CHOST/libitm DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libquadmath DESTDIR=${pkgdir} install-nodist_libsubincludeHEADERS
+  make -C $CHOST/libsanitizer DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libsanitizer/asan DESTDIR=${pkgdir} install-nodist_toolexeclibHEADERS
+
+  make -C libiberty DESTDIR=${pkgdir} install
+  # install PIC version of libiberty
+  install -m644 ${srcdir}/gcc-build/libiberty/pic/libiberty.a ${pkgdir}/usr/lib
+
+  make -C gcc DESTDIR=${pkgdir} install-man install-info
+  rm ${pkgdir}/usr/share/man/man1/{gccgo,gfortran}.1
+  rm ${pkgdir}/usr/share/info/{gccgo,gfortran,gnat-style,gnat_rm,gnat_ugn}.info
+
+  make -C libcpp DESTDIR=${pkgdir} install
+  make -C gcc DESTDIR=${pkgdir} install-po
+
+  # many packages expect this symlink
+  ln -s gcc ${pkgdir}/usr/bin/cc
+
+  # POSIX conformance launcher scripts for c89 and c99
+  cat > $pkgdir/usr/bin/c89 <<"EOF"
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+  case "$opt" in
+    -ansi|-std=c89|-std=iso9899:1990) fl="";;
+    -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+
+  cat > $pkgdir/usr/bin/c99 <<"EOF"
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+  case "$opt" in
+    -std=c99|-std=iso9899:1999) fl="";;
+    -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+
+  chmod 755 $pkgdir/usr/bin/c{8,9}9
+
+  # install the libstdc++ man pages
+  make -C $CHOST/libstdc++-v3/doc DESTDIR=$pkgdir doc-install-man
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc/
+}
+
+package_gcc-fortran()
+{
+  pkgdesc="Fortran front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+  options=('staticlibs' '!emptydirs')
+  install=gcc-fortran.install
+
+  cd ${srcdir}/gcc-build
+  make -C $CHOST/libgfortran DESTDIR=$pkgdir install-{{caf,my}execlibLTLIBRARIES,toolexeclibDATA}
+  make -C $CHOST/libgomp DESTDIR=$pkgdir install-nodist_fincludeHEADERS
+  make -C gcc DESTDIR=$pkgdir fortran.install-{common,man,info}
+  install -Dm755 gcc/f951 $pkgdir/${_libdir}/f951
+
+  ln -s gfortran ${pkgdir}/usr/bin/f95
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-fortran/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-fortran/
+}
+
+package_gcc-objc()
+{
+  pkgdesc="Objective-C front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+
+  cd ${srcdir}/gcc-build
+  make DESTDIR=$pkgdir -C $CHOST/libobjc install-headers
+  install -dm755 $pkgdir/${_libdir}
+  install -m755 gcc/cc1obj{,plus} $pkgdir/${_libdir}/
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-objc/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-objc/
+}
+
+package_gcc-ada()
+{
+  pkgdesc="Ada front-end for GCC (GNAT)"
+  depends=("gcc=$pkgver-$pkgrel")
+  options=('staticlibs' '!emptydirs')
+  install=gcc-ada.install
+
+  cd ${srcdir}/gcc-build/gcc
+  make DESTDIR=$pkgdir ada.install-{common,info}
+  install -m755 gnat1 $pkgdir/${_libdir}
+
+  ln -s gcc ${pkgdir}/usr/bin/gnatgcc
+
+  # insist on dynamic linking, but keep static libraries because gnatmake complains
+  mv ${pkgdir}/${_libdir}/adalib/libgna{rl,t}-${_pkgver}.so ${pkgdir}/usr/lib
+  ln -s libgnarl-${_pkgver}.so ${pkgdir}/usr/lib/libgnarl.so
+  ln -s libgnat-${_pkgver}.so ${pkgdir}/usr/lib/libgnat.so
+  rm ${pkgdir}/${_libdir}/adalib/libgna{rl,t}.so
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-ada/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-ada/
+}
+
+package_gcc-go()
+{
+  pkgdesc="Go front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+  options=('staticlibs' '!emptydirs')
+  install=gcc-go.install
+
+  cd ${srcdir}/gcc-build
+  make -C $CHOST/libgo DESTDIR=$pkgdir install-exec-am
+  make -C gcc DESTDIR=$pkgdir go.install-{common,man,info}
+  install -Dm755 gcc/go1 $pkgdir/${_libdir}/go1
+
+  rm $pkgdir/usr/lib/libgo.a
+
+  # Install Runtime Library Exception
+  install -d ${pkgdir}/usr/share/licenses/gcc-go/
+  ln -s ../gcc-libs/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-go/
+}

Copied: gcc/repos/staging-x86_64/gcc-4.8-filename-output.patch (from rev 225557, gcc/trunk/gcc-4.8-filename-output.patch)
===================================================================
--- staging-x86_64/gcc-4.8-filename-output.patch	                        (rev 0)
+++ staging-x86_64/gcc-4.8-filename-output.patch	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,17 @@
+diff --git a/gcc/c-family/c-opts.c b/gcc/c-family/c-opts.c
+index 968b703..3f8e6e6 100644
+--- a/gcc/c-family/c-opts.c
++++ b/gcc/c-family/c-opts.c
+@@ -1438,6 +1438,12 @@ c_finish_options (void)
+ static void
+ push_command_line_include (void)
+ {
++  /* This can happen if disabled by -imacros for example.
++     Punt so that we don't set "<command-line>" as the filename for
++     the header.  */
++  if (include_cursor > deferred_count)
++    return;
++
+   if (!done_preinclude)
+     {
+       done_preinclude = true;

Copied: gcc/repos/staging-x86_64/gcc-4.9-isl-0.13-hack.patch (from rev 225557, gcc/trunk/gcc-4.9-isl-0.13-hack.patch)
===================================================================
--- staging-x86_64/gcc-4.9-isl-0.13-hack.patch	                        (rev 0)
+++ staging-x86_64/gcc-4.9-isl-0.13-hack.patch	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,71 @@
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-clast-to-gimple.c gcc-4.9-20140604/gcc/graphite-clast-to-gimple.c
+--- gcc-4.9-20140604-old/gcc/graphite-clast-to-gimple.c	2014-03-03 21:39:22.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-clast-to-gimple.c	2014-06-25 15:07:57.958697105 +1000
+@@ -28,6 +28,8 @@
+ #include <isl/constraint.h>
+ #include <isl/ilp.h>
+ #include <isl/aff.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/ilp_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>
+ #endif
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-interchange.c gcc-4.9-20140604/gcc/graphite-interchange.c
+--- gcc-4.9-20140604-old/gcc/graphite-interchange.c	2014-01-03 08:23:26.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-interchange.c	2014-06-25 15:10:06.882899243 +1000
+@@ -29,6 +29,9 @@
+ #include <isl/map.h>
+ #include <isl/union_map.h>
+ #include <isl/ilp.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/ilp_int.h>
++#include <isl/deprecated/constraint_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>
+ #endif
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-optimize-isl.c gcc-4.9-20140604/gcc/graphite-optimize-isl.c
+--- gcc-4.9-20140604-old/gcc/graphite-optimize-isl.c	2014-01-03 08:23:26.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-optimize-isl.c	2014-06-25 15:16:57.038386166 +1000
+@@ -28,6 +28,8 @@
+ #include <isl/band.h>
+ #include <isl/aff.h>
+ #include <isl/options.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/aff_int.h>
+ #endif
+ 
+ #include "system.h"
+@@ -373,7 +375,7 @@
+ 	{
+ 	  for (i = ScheduleDimensions - 1 ;  i >= 0 ; i--)
+ 	    {
+-	      if (isl_band_member_is_zero_distance (Band, i))
++	      if (isl_band_member_is_coincident (Band, i))
+ 		{
+ 		  isl_map *TileMap;
+ 		  isl_union_map *TileUMap;
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-poly.c gcc-4.9-20140604/gcc/graphite-poly.c
+--- gcc-4.9-20140604-old/gcc/graphite-poly.c	2014-01-03 08:23:26.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-poly.c	2014-06-25 15:18:01.207157796 +1000
+@@ -28,6 +28,8 @@
+ #include <isl/constraint.h>
+ #include <isl/ilp.h>
+ #include <isl/aff.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/ilp_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>
+ #endif
+diff -Naur gcc-4.9-20140604-old/gcc/graphite-sese-to-poly.c gcc-4.9-20140604/gcc/graphite-sese-to-poly.c
+--- gcc-4.9-20140604-old/gcc/graphite-sese-to-poly.c	2014-04-08 20:59:40.000000000 +1000
++++ gcc-4.9-20140604/gcc/graphite-sese-to-poly.c	2014-06-25 15:19:46.575140398 +1000
+@@ -26,6 +26,9 @@
+ #include <isl/union_map.h>
+ #include <isl/constraint.h>
+ #include <isl/aff.h>
++#include <isl/deprecated/int.h>
++#include <isl/deprecated/aff_int.h>
++#include <isl/deprecated/constraint_int.h>
+ #include <cloog/cloog.h>
+ #include <cloog/cloog.h>
+ #include <cloog/isl/domain.h>

Copied: gcc/repos/staging-x86_64/gcc-ada.install (from rev 225557, gcc/trunk/gcc-ada.install)
===================================================================
--- staging-x86_64/gcc-ada.install	                        (rev 0)
+++ staging-x86_64/gcc-ada.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gnat-style.info gnat_rm.info gnat_ugn.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gcc/repos/staging-x86_64/gcc-fortran.install (from rev 225557, gcc/trunk/gcc-fortran.install)
===================================================================
--- staging-x86_64/gcc-fortran.install	                        (rev 0)
+++ staging-x86_64/gcc-fortran.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+file="gfortran.info"
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}

Copied: gcc/repos/staging-x86_64/gcc-go.install (from rev 225557, gcc/trunk/gcc-go.install)
===================================================================
--- staging-x86_64/gcc-go.install	                        (rev 0)
+++ staging-x86_64/gcc-go.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gccgo.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gcc/repos/staging-x86_64/gcc-libs.install (from rev 225557, gcc/trunk/gcc-libs.install)
===================================================================
--- staging-x86_64/gcc-libs.install	                        (rev 0)
+++ staging-x86_64/gcc-libs.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+filelist=(libgomp.info libquadmath.info)
+
+post_upgrade() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gcc/repos/staging-x86_64/gcc.install (from rev 225557, gcc/trunk/gcc.install)
===================================================================
--- staging-x86_64/gcc.install	                        (rev 0)
+++ staging-x86_64/gcc.install	2014-11-03 02:22:38 UTC (rev 225558)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(cpp.info cppinternals.info gcc.info gccinstall.info gccint.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}


More information about the arch-commits mailing list